import { 
  select, 
  range
} from 'd3';

const viewBoxMax = 50; 
const svg = select('div').append('svg')
  .attr('viewBox', '0 0 100 ' + viewBoxMax)
  .style('border', 'blue solid');

const nLinesVert = 10;
const nLinesHori = 100;

const myVerticals = svg
		.selectAll('path.vertical') // selection
		.data(range(nLinesVert))		// data join
  	.enter()										// Enter-Update-Exit
      .append('path')
      .attr('class', 'vertical')
      .attr('d', d => `M${d * 100/nLinesVert} 0 V100`);

svg.selectAll('path.horizontal')
    .data(range(nLinesHori))
    .enter().append('path')
    .attr('class', 'horizontal')
    .attr('d', d => `M0 ${d * 100/nLinesHori} H100`);
